function MIConfigCosts::checkValue(%vehicle)
{
  %totalCost = MIConfigCosts::getVehValue(%vehicle);

  // iterate through the component list
  %componentCount = getComponentCount(%vehicle);

  %index = 0;
  while(%index < %componentCount) 
  {
    %id = getComponentId(%vehicle, %index);
    %compValue = MIConfigCosts::compIdValue(%id);
    // echo(%id @ ", " @ %compValue);
    %totalCost = %totalCost + %compValue;
    %index++;
  }
  
  // iterate through the weapon list
  %weapCount = getWeaponCount(%vehicle);
  %index = 0;
  while(%index < %weapCount) 
  {
    %id = getWeaponId(%vehicle, %index);
    %weapValue = MIConfigCosts::weapIdValue(%id);
    // echo(%id @ ", " @ %weapValue);
    %totalCost = %totalCost + %weapValue;
    %index++;
  }

  return(%totalCost);
}


//============


function MIConfigCosts::weapIdValue(%id) 
{ 
  if ( $weaponST[%id] != "" ) 
  { 
    return($weaponST[%id]);
  }
  return(0);
}

function MIConfigCosts::compIdValue(%id) 
{ 
  if ( $componentST[%id] != "" ) 
  { 
    return($componentST[%id]);
  }
  return(0);
}


//=============


function MIConfigCosts::getVehValue(%vehicleId)
{
  %vehicleName = getVehicleName(%vehicleId);  
  %vehValue = MIConfigCosts::getVehValue1(%vehicleName);
  return %vehValue;
}

function MIConfigCosts::getVehValue1(%vehicle)
{
  if(%vehicle == "Apocalypse") return 10160;
	else if(%vehicle == "Knight's Apocalypse") return 10680;
	else if(%vehicle == "Basilisk") return 5000;
	else if(%vehicle == "Knight's Basilisk") return 5812;
	else if(%vehicle == "Emancipator") return 1730;
	else if(%vehicle == "Gorgon") return 13400;
	else if(%vehicle == "Knight's Gorgon") return 15220;
	else if(%vehicle == "Minotaur") return 3250;
	else if(%vehicle == "Knight's Minotaur") return 4125;
	else if(%vehicle == "Olympian") return 12600;
	else if(%vehicle == "Talon") return 0;             //  MI
	else if(%vehicle == "Knight's Talon") return 1225;
  else MIConfigCosts::getVehValue2(%vehicle);
}


function MIConfigCosts::getVehValue2(%vehicle)
{
  // echo(%vehicle);
	if(%vehicle == "Adjudicator") return 10820;
	else if(%vehicle == "Platinum Guard Adjudicator") return 11980;
	else if(%vehicle == "Executioner") return 14400;
	else if(%vehicle == "Platinum Guard Executioner") return 16040;
	else if(%vehicle == "Goad") return 1600;
	else if(%vehicle == "Metagen Goad") return 1600;
	else if(%vehicle == "Shepherd") return 4525;
	else if(%vehicle == "Metagen Shepherd") return 4525;
	else if(%vehicle == "Seeker") return 1205;
	else if(%vehicle == "Metagen Seeker") return 1205;
  else MIConfigCosts::getVehValue3(%vehicle);
}


function MIConfigCosts::getVehValue3(%vehicle)
{
	if(%vehicle == "Avenger") return 1830;
	else if(%vehicle == "Disrupter") return 2700;
	else if(%vehicle == "Knight's Disruptor") return 2880;
	else if(%vehicle == "Dreadlock") return 5537;
	else if(%vehicle == "Harabec's Predator") return 14040;
	else if(%vehicle == "Myrmidon") return 3035;
	else if(%vehicle == "Knight's Myrmidon") return 3215;
	else if(%vehicle == "Paladin") return 2005;
	else if(%vehicle == "Knight's Paladin") return 2300;
	else if(%vehicle == "Bolo") return 1470;
	else if(%vehicle == "Recluse") return 1720;
	else return 5000;
}


//=================


function MIConfigCosts::initScanTable() 
{
  // assign weapon names for known weapons
  $weaponST[3]   = 600; //DIS
  $weaponST[101] = 0; //LAS        MI
  $weaponST[102] = 700; //HLAS
  $weaponST[103] = 570; //CLAS
  $weaponST[104] = 495; //TLAS
  $weaponST[105] = 610; //EMP
  $weaponST[106] = 2050; //ELF
  $weaponST[107] = 1887; //BLAS
  $weaponST[108] = 2162; //HBLAS
  $weaponST[109] = 3600; //PBW
  $weaponST[110] = 1025; //PLAS
  $weaponST[111] = 785; //BLINK
  $weaponST[112] = 4540; //QGUN
  $weaponST[113] = 4900; //MFAC
  $weaponST[114] = 600; //NANO
  $weaponST[115] = 660; //NCAN
  $weaponST[116] = 0; //ATC        MI
  $weaponST[117] = 610; //HATC
  $weaponST[118] = 520; //EMC
  $weaponST[119] = 3680; //BC
  $weaponST[120] = 4060; //HBC
  $weaponST[121] = 3900; //RAIL
  $weaponST[124] = 605; //VIP8
  $weaponST[125] = 700; //VIP12
  $weaponST[126] = 490; //SPR6
  $weaponST[127] = 560; //SPR10
  $weaponST[128] = 630; //SWRM6
  $weaponST[129] = 840; //MIN10
  $weaponST[130] = 800; //SHRK8
  $weaponST[131] = 410; //ARACH4
  $weaponST[132] = 450; //ARACH8
  $weaponST[133] = 490; //ARACH12
  $weaponST[134] = 400; //PRX6
  $weaponST[135] = 425; //PRX8
  $weaponST[136] = 450; //PRX10
  $weaponST[142] = 770; //RAD
  $weaponST[147] = 595; //APHID10
  $weaponST[150] = 625; //SGUN

  // assign component names for known components
  // engines
  $componentST[100] = 0; // LIGHT Engine
  $componentST[101] = 537; // LITE HO Engine
  $componentST[102] = 620; // L AGL Engine
  $componentST[103] = 669; // MEDIUM Engine
  $componentST[104] = 716; // MED HO Engine
  $componentST[105] = 759; // M AGL Engine
  $componentST[106] = 780; // HEAVY Engine
  $componentST[107] = 800; // I HVY Engine
  $componentST[108] = 839; // H CRU Engine
  $componentST[109] = 876; // HVY HO Engine
  $componentST[110] = 930; // H AGL Engine
  $componentST[111] = 980; // AST Engine
  $componentST[112] = 1012; // I AST Engine
  $componentST[113] = 1058; // HT Engine
  $componentST[114] = 1073; // HOT Engine
  $componentST[115] = 1131; // S/H Engine
  $componentST[128] = 506; // ALPHA Engine
  $componentST[129] = 566; // BETA Engine
  $componentST[130] = 593; // GAMMA Engine
  $componentST[131] = 620; // DELTA Engine
  $componentST[132] = 645; // EPSILON Engine
  $componentST[133] = 693; // ZETA Engine
  $componentST[134] = 716; // ETA Engine
  $componentST[135] = 750; // THETA Engine
  $componentST[136] = 763; // IOTA Engine
  $componentST[137] = 792; // KAPPA Engine
  $componentST[138] = 893; // LAMBDA Engine
  $componentST[139] = 912; // MU Engine
  $componentST[140] = 947; // NU Engine
  $componentST[141] = 1012; // XI Engine
  $componentST[142] = 1043; // OMICRON Engine
  $componentST[143] = 1073; // PI Engine
  // reactors
  $componentST[200] = 0; // Micro Reactor            MI
  $componentST[201] = 450; // Small Reactor
  $componentST[202] = 503; // Standard Reactor
  $componentST[203] = 578; // Medium Reactor
  $componentST[204] = 588; // Large Reactor
  $componentST[205] = 1690; // Maxim Reactor
  $componentST[225] = 398; // Alpha Reactor
  $componentST[226] = 438; // Beta Reactor
  $componentST[227] = 513; // Gamma Reactor
  $componentST[228] = 588; // Delta Reactor
  $componentST[229] = 575; // Epsilon Reactor
  $componentST[230] = 1460; // Zeta Reactor
  // shields
  $componentST[300] = 639; // Standard Shield
  $componentST[301] = 719; // Protector Shield
  $componentST[302] = 843; // Guardian Shield
  $componentST[303] = 2902; // FastCharge Shield
  $componentST[304] = 926; // Centurion Shield
  $componentST[305] = 2907; // Repulsor Shield
  $componentST[306] = 2562; // Titan Shield
  $componentST[307] = 5788; // Medusa Shield
  $componentST[326] = 639; // Alpha Shield
  $componentST[327] = 671; // Beta Shield
  $componentST[328] = 787; // Gamma Shield
  $componentST[329] = 887; // Delta Shield
  $componentST[330] = 2612; // Epsilon Shield
  $componentST[331] = 5220; // Zeta Shield
  $componentST[332] = 2797; // Eta Shield
  $componentST[333] = 5848; // Theta Shield
  // sensors
  $componentST[400] = 0; // Basic Sensor              MI
  $componentST[401] = 143; // Ranger Sensor
  $componentST[408] = 181; // Standard Sensor
  $componentST[409] = 259; // Longbow Sensor
  $componentST[410] = 351; // Infiltrator Sensor
  $componentST[411] = 250; // Crossbow Sensor
  $componentST[412] = 139; // Ultralight Sensor
  $componentST[413] = 214; // Bloodhound Sensor
  $componentST[414] = 192; // Thermal Sensor
  $componentST[426] = 117; // Alpha Sensor
  $componentST[427] = 133; // Beta Sensor
  $componentST[428] = 158; // Gamma Sensor
  $componentST[429] = 224; // Delta Sensor
  $componentST[430] = 251; // Epsilon Sensor
  $componentST[431] = 211; // Zeta Sensor
  $componentST[432] = 114; // Eta Sensor
  $componentST[433] = 214; // Theta Sensor
  $componentST[434] = 108; // Iota Sensor
  // computers
  $componentST[800] = 0; // Basic Computer            MI
  $componentST[801] = 100; // Improved Computer
  $componentST[802] = 300; // Advanced Computer
  $componentST[805] = 75; // Alpha Computer
  $componentST[806] = 150; // Beta Computer
  $componentST[807] = 400; // Gamma Computer
  // other special items
  $componentST[810] = 700; // ECM-G
  $componentST[811] = 900; // ECM-D
  $componentST[812] = 800; // Alpha ECM
  $componentST[813] = 1000; // Beta ECM
  $componentST[820] = 1075; // THERM
  $componentST[830] = 850; // CHAM
  $componentST[831] = 2812; // CUT
  $componentST[840] = 3000; // SMOD
  $componentST[845] = 2000; // SCAP
  $componentST[850] = 2062; // SAMP
  $componentST[860] = 500; // LTADS
  $componentST[865] = 1000; // BATTERY
  $componentST[870] = 450; // CAP
  $componentST[875] = 400; // FIELD
  $componentST[880] = 675; // ROCKET
  $componentST[885] = 875; // TURBO
  $componentST[890] = 12000; // REPAIR
  $componentST[900] = 425; // LIFE
  $componentST[910] = 6250; // AGRAV
  $componentST[912] = 2000; // EHUL
  $componentST[914] = 1875; // UAP
  // armor
  $componentST[926] = 0; //CARLAM Armor           MI
  $componentST[927] = 844; //QBM Armor
  $componentST[928] = 5468; //DURAC Armor
  $componentST[929] = 2955; //CERC Armor
  $componentST[930] = 3142; //CRYSTAL Armor
  $componentST[931] = 5920; //QUICK Armor

}
MIConfigCosts::initScanTable();
